## org.apache.lucene.store.je
Class File

    java.lang.Object
      org.apache.lucene.store.je.File

    public class File

extends java.lang.Object

Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

Field Summary
`protected DatabaseEntry` `data`
`protected DatabaseEntry` `key`
`protected long` `length`
`protected java.lang.String` `name`
`protected static java.util.Random` `random`
`protected long` `timeModified`
`protected byte[]` `uuid`

Constructor Summary
`protected` `File(JEDirectory directory, java.lang.String name, boolean create)`
`protected` `File(java.lang.String name)`

Method Summary
`protected void` `delete(JEDirectory directory)`
`protected boolean` `exists(JEDirectory directory)`
`protected byte[]` `getKey()`
`protected long` `getLength()`
`protected java.lang.String` `getName()`
`protected long` `getTimeModified()`
`protected void` `modify(JEDirectory directory, long length, long timeModified)`
`protected void` `rename(JEDirectory directory, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected static java.util.Random random

### key

    protected DatabaseEntry key

### data

    protected DatabaseEntry data

### length

    protected long length

### timeModified

    protected long timeModified

### name

    protected java.lang.String name

### uuid

    protected byte[] uuid

Constructor Detail

### File

    protected File(java.lang.String name)
            throws java.io.IOException

Throws:
  `java.io.IOException`

### File

    protected File(JEDirectory directory,
                   java.lang.String name,
                   boolean create)
            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getName

    protected java.lang.String getName()

### getKey

    protected byte[] getKey()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLength

    protected long getLength()

### getTimeModified

    protected long getTimeModified()

### exists

    protected boolean exists(JEDirectory directory)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### modify

    protected void modify(JEDirectory directory,
                          long length,
                          long timeModified)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### delete

    protected void delete(JEDirectory directory)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### rename

    protected void rename(JEDirectory directory,
                          java.lang.String name)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.